-- phpMyAdmin SQL Dump
-- version 5.1.3
-- https://www.phpmyadmin.net/
--
-- Host: localhost:3306
-- Erstellungszeit: 11. Apr 2023 um 03:32
-- Server-Version: 10.3.38-MariaDB-0+deb10u1
-- PHP-Version: 8.0.27

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Datenbank: `anuaradio`
--

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `autodj`
--

CREATE TABLE `autodj` (
  `id` int(255) NOT NULL,
  `autodj` varchar(255) NOT NULL,
  `ftp_password` varchar(255) NOT NULL,
  `for_stream` varchar(255) NOT NULL,
  `for_user` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `job_list`
--

CREATE TABLE `job_list` (
  `id` int(255) NOT NULL,
  `node_id` varchar(255) NOT NULL,
  `shoutcast_id` varchar(255) NOT NULL,
  `job` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `server`
--

CREATE TABLE `server` (
  `id` int(255) NOT NULL,
  `server` varchar(255) NOT NULL,
  `remote_addr` varchar(255) NOT NULL,
  `last_synch` varchar(255) NOT NULL,
  `api_token` varchar(255) NOT NULL,
  `status` set('aktiv','deaktiviert','') NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `shoutcast_server`
--

CREATE TABLE `shoutcast_server` (
  `id` int(255) NOT NULL,
  `for_user` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `stream_port` varchar(255) NOT NULL,
  `shoutcast_admin` varchar(255) NOT NULL,
  `shoutcast_streamer` varchar(255) NOT NULL,
  `current_version` varchar(255) NOT NULL,
  `website` varchar(255) NOT NULL,
  `genre` varchar(255) NOT NULL,
  `stream_title` varchar(255) NOT NULL,
  `max_listen` varchar(255) NOT NULL,
  `share_id` varchar(255) NOT NULL,
  `job_status` varchar(255) NOT NULL,
  `host` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `users`
--

CREATE TABLE `users` (
  `id` int(255) NOT NULL,
  `user` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `password` varchar(255) NOT NULL,
  `session_token` varchar(255) NOT NULL,
  `session_expire` varchar(255) NOT NULL,
  `rank` set('admin','moderator','user','') NOT NULL,
  `servers` text NOT NULL,
  `status` set('active','locked') NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Indizes der exportierten Tabellen
--

--
-- Indizes für die Tabelle `autodj`
--
ALTER TABLE `autodj`
  ADD PRIMARY KEY (`id`);

--
-- Indizes für die Tabelle `job_list`
--
ALTER TABLE `job_list`
  ADD PRIMARY KEY (`id`);

--
-- Indizes für die Tabelle `server`
--
ALTER TABLE `server`
  ADD PRIMARY KEY (`id`);

--
-- Indizes für die Tabelle `shoutcast_server`
--
ALTER TABLE `shoutcast_server`
  ADD PRIMARY KEY (`id`);

--
-- Indizes für die Tabelle `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT für exportierte Tabellen
--

--
-- AUTO_INCREMENT für Tabelle `autodj`
--
ALTER TABLE `autodj`
  MODIFY `id` int(255) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=95867;

--
-- AUTO_INCREMENT für Tabelle `job_list`
--
ALTER TABLE `job_list`
  MODIFY `id` int(255) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=99801;

--
-- AUTO_INCREMENT für Tabelle `server`
--
ALTER TABLE `server`
  MODIFY `id` int(255) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=90250;

--
-- AUTO_INCREMENT für Tabelle `shoutcast_server`
--
ALTER TABLE `shoutcast_server`
  MODIFY `id` int(255) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=98972;

--
-- AUTO_INCREMENT für Tabelle `users`
--
ALTER TABLE `users`
  MODIFY `id` int(255) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=808261906;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
