<?php

// This API is a AnuaRadio Release by AnuaCP.de

//error_reporting(0);
require_once('../includes/db_sql.php');

if (isset($_POST['auth_server'])) {

    $statement = $conn->prepare('SELECT * FROM server WHERE api_token=:token');
    $statement->execute(array(":token" => $_POST['auth_server']));
    $row = $statement->fetch(PDO::FETCH_ASSOC);

    if ($_POST['auth_server'] === $row['api_token']):

        $server_check = '1';

        $requested_serverid = $row['id'];

        $statement = $conn->prepare('UPDATE server SET last_synch=:timer WHERE api_token=:token');
        $statement->execute([":token" => $_POST['auth_server'], ":timer" => date('d M Y H:i:s')]);
    
    else:

        echo "Fail";

        $server_check = '0';

    endif;

    if ($server_check === "1") {


        if (isset($_POST['getmyjob'])) {

            $statement = $conn->prepare('SELECT * FROM job_list WHERE node_id=:token');
            $statement->execute(array(":token" => $requested_serverid));
            $row = $statement->fetch(PDO::FETCH_ASSOC);

            if (!empty($row['node_id'])) {

            $getmyjob_current = array(
                "0" => array(
                "STREAM_ID" => $row['shoutcast_id'],
                "CURRENT_JOB" => $row['job'])
            );

            $data = json_encode($getmyjob_current, JSON_PRETTY_PRINT);

            print_r($data);

        } else {

            $getmyjob_current = array(
                "0" => array(
                "CURRENT_JOB" => 'no process found')
            );

            $data = json_encode($getmyjob_current, JSON_PRETTY_PRINT);

            print_r($data);



        }

        }


        // methods

        // Method 1 - Create a Shoutcast Server

        if (isset($_POST['add_stream'])) {

        
            $statement = $conn->prepare('SELECT * FROM shoutcast_server WHERE id=:stream');
            $statement->execute(array(":stream" => $_POST['add_stream']));
            $row = $statement->fetch(PDO::FETCH_ASSOC);

            $job = 
            array(

                 "0" => array(
                    "ID" => $row['id'],
                    "STREAM_PORT" => $row['stream_port'],
                    "SHOUTCAST_ADMIN" => $row['shoutcast_admin'],
                    "SHOUTCAST_STREAMER" => $row['shoutcast_streamer'],
                    "WEBSITE" => $row['website'],
                    "GENRE" => $row['genre'],
                    "STREAM_TITLE" => $row['stream_title'],
                    "MAX_LISTEN" => $row['max_listen']

                )

            );

                $data_stream = json_encode($job, JSON_PRETTY_PRINT);

                print_r($data_stream);



        }

        // get the shoutcast stream port for remove shoutcast instance

        if (isset($_POST['delmyshoutcast'])) {

        
            $statement = $conn->prepare('SELECT * FROM shoutcast_server WHERE id=:stream');
            $statement->execute(array(":stream" => $_POST['delmyshoutcast']));
            $row = $statement->fetch(PDO::FETCH_ASSOC);

            $job = 
            array(

                "0" => array(
                    "ID" => $row['id'],
                    "STREAM_PORT" => $row['stream_port'],
                    "SHOUTCAST_ADMIN" => $row['shoutcast_admin'],
                    "SHOUTCAST_STREAMER" => $row['shoutcast_streamer'],
                    "WEBSITE" => $row['website'],
                    "GENRE" => $row['genre'],
                    "STREAM_TITLE" => $row['stream_title'],
                    "MAX_LISTEN" => $row['max_listen']

                )

            );

                $data_stream = json_encode($job, JSON_PRETTY_PRINT);

                print_r($data_stream);


                $statement = $conn->prepare('DELETE FROM shoutcast_server WHERE id=:myid');
                $statement->execute(array(":myid" => $_POST['delmyshoutcast']));



        }

        // Change Shoutcast Version to v1

        if (isset($_POST['goto_v1'])) {


            $statement = $conn->prepare('SELECT * FROM shoutcast_server WHERE id=:stream');
            $statement->execute(array(":stream" => $_POST['goto_v1']));
            $row = $statement->fetch(PDO::FETCH_ASSOC);

            $job = 
            array(

                "0" => array(
                    "ID" => $row['id'],
                    "STREAM_PORT" => $row['stream_port'],
                    "SHOUTCAST_ADMIN" => $row['shoutcast_admin'],
                    "SHOUTCAST_STREAMER" => $row['shoutcast_streamer'],
                    "WEBSITE" => $row['website'],
                    "GENRE" => $row['genre'],
                    "STREAM_TITLE" => $row['stream_title'],
                    "MAX_LISTEN" => $row['max_listen']

                )

            );

                $data_stream = json_encode($job, JSON_PRETTY_PRINT);

                print_r($data_stream);


        }


        // Change Shoutcast Version to v2

        if (isset($_POST['goto_v2'])) {


            $statement = $conn->prepare('SELECT * FROM shoutcast_server WHERE id=:stream');
            $statement->execute(array(":stream" => $_POST['goto_v2']));
            $row = $statement->fetch(PDO::FETCH_ASSOC);

            $job = 
            array(

                "0" => array(
                    "ID" => $row['id'],
                    "STREAM_PORT" => $row['stream_port'],
                    "SHOUTCAST_ADMIN" => $row['shoutcast_admin'],
                    "SHOUTCAST_STREAMER" => $row['shoutcast_streamer'],
                    "WEBSITE" => $row['website'],
                    "GENRE" => $row['genre'],
                    "STREAM_TITLE" => $row['stream_title'],
                    "MAX_LISTEN" => $row['max_listen']

                )

            );

                $data_stream = json_encode($job, JSON_PRETTY_PRINT);

                print_r($data_stream);


        }


         // Change the User Passwords

         if (isset($_POST['change_passwords'])) {


            $statement = $conn->prepare('SELECT * FROM shoutcast_server WHERE id=:stream');
            $statement->execute(array(":stream" => $_POST['change_passwords']));
            $row = $statement->fetch(PDO::FETCH_ASSOC);

            $job = 
            array(

                "0" => array(
                    "ID" => $row['id'],
                    "STREAM_PORT" => $row['stream_port'],
                    "SHOUTCAST_ADMIN" => $row['shoutcast_admin'],
                    "SHOUTCAST_STREAMER" => $row['shoutcast_streamer'],
                    "WEBSITE" => $row['website'],
                    "GENRE" => $row['genre'],
                    "STREAM_TITLE" => $row['stream_title'],
                    "MAX_LISTEN" => $row['max_listen']

                )

            );

                $data_stream = json_encode($job, JSON_PRETTY_PRINT);

                print_r($data_stream);


        }



        // Add Auto_DJ

        if (isset($_POST['add_autodj'])) {


            $statement = $conn->prepare('SELECT * FROM shoutcast_server WHERE id=:stream');
            $statement->execute(array(":stream" => $_POST['add_autodj']));
            $row = $statement->fetch(PDO::FETCH_ASSOC);

            $statement2 = $conn->prepare('SELECT * FROM autodj WHERE for_stream=:stream');
            $statement2->execute(array(":stream" => $_POST['add_autodj']));
            $row2 = $statement2->fetch(PDO::FETCH_ASSOC);


            $job = 
            array(

                "0" => array(
                    "ID" => $row['id'],
                    "STREAM_PORT" => $row['stream_port'],
                    "SHOUTCAST_ADMIN" => $row['shoutcast_admin'],
                    "FTP_PASSWORD" => $row2['ftp_password'],
                    "SHOUTCAST_STREAMER" => $row['shoutcast_streamer'],
                    "CURRENT_VERSION" => $row['current_version'],
                    "WEBSITE" => $row['website'],
                    "GENRE" => $row['genre'],
                    "STREAM_TITLE" => $row['stream_title'],
                    "MAX_LISTEN" => $row['max_listen']

                )

            );

                $data_stream = json_encode($job, JSON_PRETTY_PRINT);

                print_r($data_stream);


        }


         // Stop Auto_DJ

         if (isset($_POST['stop_autodj'])) {


            $statement = $conn->prepare('SELECT * FROM shoutcast_server WHERE id=:stream');
            $statement->execute(array(":stream" => $_POST['stop_autodj']));
            $row = $statement->fetch(PDO::FETCH_ASSOC);

            $job = 
            array(

                "0" => array(
                    "ID" => $row['id'],
                    "STREAM_PORT" => $row['stream_port'],
                    "SHOUTCAST_ADMIN" => $row['shoutcast_admin'],
                    "SHOUTCAST_STREAMER" => $row['shoutcast_streamer'],
                    "CURRENT_VERSION" => $row['current_version'],
                    "WEBSITE" => $row['website'],
                    "GENRE" => $row['genre'],
                    "STREAM_TITLE" => $row['stream_title'],
                    "MAX_LISTEN" => $row['max_listen']

                )

            );

                $data_stream = json_encode($job, JSON_PRETTY_PRINT);

                print_r($data_stream);


        }

         // Start Auto_DJ

         if (isset($_POST['start_autodj'])) {


            $statement = $conn->prepare('SELECT * FROM shoutcast_server WHERE id=:stream');
            $statement->execute(array(":stream" => $_POST['start_autodj']));
            $row = $statement->fetch(PDO::FETCH_ASSOC);

            $job = 
            array(

                "0" => array(
                    "ID" => $row['id'],
                    "STREAM_PORT" => $row['stream_port'],
                    "SHOUTCAST_ADMIN" => $row['shoutcast_admin'],
                    "SHOUTCAST_STREAMER" => $row['shoutcast_streamer'],
                    "CURRENT_VERSION" => $row['current_version'],
                    "WEBSITE" => $row['website'],
                    "GENRE" => $row['genre'],
                    "STREAM_TITLE" => $row['stream_title'],
                    "MAX_LISTEN" => $row['max_listen']

                )

            );

                $data_stream = json_encode($job, JSON_PRETTY_PRINT);

                print_r($data_stream);


        }


        // Reload Auto_DJ

        if (isset($_POST['reload_autodj'])) {


            $statement = $conn->prepare('SELECT * FROM shoutcast_server WHERE id=:stream');
            $statement->execute(array(":stream" => $_POST['reload_autodj']));
            $row = $statement->fetch(PDO::FETCH_ASSOC);

            $job = 
            array(

                "0" => array(
                    "ID" => $row['id'],
                    "STREAM_PORT" => $row['stream_port'],
                    "SHOUTCAST_ADMIN" => $row['shoutcast_admin'],
                    "SHOUTCAST_STREAMER" => $row['shoutcast_streamer'],
                    "CURRENT_VERSION" => $row['current_version'],
                    "WEBSITE" => $row['website'],
                    "GENRE" => $row['genre'],
                    "STREAM_TITLE" => $row['stream_title'],
                    "MAX_LISTEN" => $row['max_listen']

                )

            );

                $data_stream = json_encode($job, JSON_PRETTY_PRINT);

                print_r($data_stream);


        }


        // Synch Auto_DJ

        if (isset($_POST['synch_autodj'])) {


            $statement = $conn->prepare('SELECT * FROM shoutcast_server WHERE id=:stream');
            $statement->execute(array(":stream" => $_POST['synch_autodj']));
            $row = $statement->fetch(PDO::FETCH_ASSOC);

            $job = 
            array(

                "0" => array(
                    "ID" => $row['id'],
                    "STREAM_PORT" => $row['stream_port'],
                    "SHOUTCAST_ADMIN" => $row['shoutcast_admin'],
                    "SHOUTCAST_STREAMER" => $row['shoutcast_streamer'],
                    "CURRENT_VERSION" => $row['current_version'],
                    "WEBSITE" => $row['website'],
                    "GENRE" => $row['genre'],
                    "STREAM_TITLE" => $row['stream_title'],
                    "MAX_LISTEN" => $row['max_listen']

                )

            );

                $data_stream = json_encode($job, JSON_PRETTY_PRINT);

                print_r($data_stream);


        }

           // FTP Password Update

           if (isset($_POST['change_ftp_password'])) {


            $statement = $conn->prepare('SELECT * FROM autodj WHERE for_stream=:stream');
            $statement->execute(array(":stream" => $_POST['change_ftp_password']));
            $row = $statement->fetch(PDO::FETCH_ASSOC);

            $statement2 = $conn->prepare('SELECT * FROM shoutcast_server WHERE id=:stream');
            $statement2->execute(array(":stream" => $_POST['change_ftp_password']));
            $row2 = $statement2->fetch(PDO::FETCH_ASSOC);


            $job = 
            array(

                "0" => array(
                    "NEW_PASSWORD" => $row['ftp_password'],
                    "PORT" => $row2['stream_port']

                )

            );

                $data_stream = json_encode($job, JSON_PRETTY_PRINT);

                print_r($data_stream);


        }


        if (isset($_POST['get_node_ip'])) {


            $statement = $conn->prepare('SELECT * FROM server WHERE api_token=:node');
            $statement->execute(array(":node" => $_POST['auth_server']));
            $row = $statement->fetch(PDO::FETCH_ASSOC);

            $job = 
            array(

                "0" => array(
                    "ID" => $row['id'],
                    "REMOTE_ADDR" => $row['remote_addr']

                )

            );

                $data_stream = json_encode($job, JSON_PRETTY_PRINT);

                print_r($data_stream);


        }


        if (isset($_POST['job_finish'])) {

            $statement = $conn->prepare('UPDATE shoutcast_server SET job_status=:status WHERE id=:stream');
            $statement->execute(array(":stream" => $_POST['add_stream'], ":status" => '1'));


            $statement = $conn->prepare('DELETE FROM job_list WHERE shoutcast_id=:stream');
            $statement->execute(array(":stream" => $_POST['add_stream']));

        }

}

}