<!DOCTYPE html>
<!--
* CoreUI - Free Bootstrap Admin Template
* @version v4.2.1
* @link https://coreui.io
* Copyright (c) 2022 creativeLabs Łukasz Holeczek
* Licensed under MIT (https://coreui.io/license)
-->
<html lang="de">
  <head>
    <base href="./">
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
    <meta name="description" content="CoreUI - Open Source Bootstrap Admin Template">
    <meta name="author" content="Łukasz Holeczek">
    <meta name="keyword" content="Bootstrap,Admin,Template,Open,Source,jQuery,CSS,HTML,RWD,Dashboard">
    <title>AnuaRadio - Account erstellen</title>
    <link rel="apple-touch-icon" sizes="57x57" href="../../assets/favicon/apple-icon-57x57.png">
    <link rel="apple-touch-icon" sizes="60x60" href="../../assets/favicon/apple-icon-60x60.png">
    <link rel="apple-touch-icon" sizes="72x72" href="../../assets/favicon/apple-icon-72x72.png">
    <link rel="apple-touch-icon" sizes="76x76" href="../../assets/favicon/apple-icon-76x76.png">
    <link rel="apple-touch-icon" sizes="114x114" href="../../assets/favicon/apple-icon-114x114.png">
    <link rel="apple-touch-icon" sizes="120x120" href="../../assets/favicon/apple-icon-120x120.png">
    <link rel="apple-touch-icon" sizes="144x144" href="../../assets/favicon/apple-icon-144x144.png">
    <link rel="apple-touch-icon" sizes="152x152" href="../../assets/favicon/apple-icon-152x152.png">
    <link rel="apple-touch-icon" sizes="180x180" href="../../assets/favicon/apple-icon-180x180.png">
    <link rel="icon" type="image/png" sizes="192x192" href="../../assets/favicon/android-icon-192x192.png">
    <link rel="icon" type="image/png" sizes="32x32" href="../../assets/favicon/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="96x96" href="../../assets/favicon/favicon-96x96.png">
    <link rel="icon" type="image/png" sizes="16x16" href="../../assets/favicon/favicon-16x16.png">
    <link rel="manifest" href="../../assets/favicon/manifest.json">
    <meta name="msapplication-TileColor" content="#ffffff">
    <meta name="msapplication-TileImage" content="../../assets/favicon/ms-icon-144x144.png">
    <meta name="theme-color" content="#ffffff">
    <!-- Vendors styles-->
    <link rel="stylesheet" href="../../vendors/simplebar/css/simplebar.css">
    <link rel="stylesheet" href="../../css/vendors/simplebar.css">
    <!-- Main styles for this application-->
    <link href="../../css/style.css" rel="stylesheet">
    <!-- We use those styles to show code examples, you should remove them in your application.-->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/themes/prism.css">
    <link href="css/examples.css" rel="stylesheet">
    <!-- Global site tag (gtag.js) - Google Analytics-->
    <script async="" src="https://www.googletagmanager.com/gtag/js?id=UA-118965717-3"></script>
    <script>
      window.dataLayer = window.dataLayer || [];

      function gtag() {
        dataLayer.push(arguments);
      }
      gtag('js', new Date());
      // Shared ID
      gtag('config', 'UA-118965717-3');
      // Bootstrap ID
      gtag('config', 'UA-118965717-5');
    </script>

    <?php 
    require_once('../../includes/db_sql.php');
    session_start(); 
    ?>

  </head>

<?php

if (isset($_GET['register'])) {


  if ($_POST['password'] === $_POST['r_password']):

    $password_error = '0';

  else:
    $password_error = '1';
  endif;

    if (empty($_POST['username']) || empty($_POST['email']) || empty($_POST['password']) || empty($_POST['r_password'])):


      $form_error = '1';

    else:

      $form_error = '0';

            $statement = $conn->prepare('INSERT INTO users (id, user, email, password, session_token, session_expire, rank, servers, status)
                VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?)');

              $gen_id = rand(100, 890342482);

            $statement->execute([$gen_id, $_POST['username'], $_POST['email'], password_hash($_POST['password'], PASSWORD_BCRYPT), '0', '0', 'user', 'NULL', 'active']);


            echo '
                <div class="alert alert-success" role="alert">
                     User wurde erstellt! Willkommen: '.$_POST['username'].'
                </div>';

            header('refresh: 3; url=../login');


    endif;

  
}

?>

  <body>
    <div class="bg-light min-vh-100 d-flex flex-row align-items-center">
      <div class="container">
        <div class="row justify-content-center">
          <div class="col-md-6">
            <div class="card mb-4 mx-4">
              <div class="card-body p-4">
                <h1>Account erstellen</h1>
                <p class="text-medium-emphasis">Hier kannst Du in wenigen Sekunden deinen eigenen Account erstellen.</p>

                <?php

                if (isset($_GET['register'])):

                ?>

                <form action="./?register=1" method="POST">

                <?php

                if ($form_error === "1") {

                echo '
                <div class="alert alert-danger" role="alert">
                      Es wurden nicht alle Felder ausgefüllt! Bitte wiederholen Sie die Angaben.
                      </div>';

                } else {

                }

                if ($password_error === "1") {

                  echo '
                  <div class="alert alert-danger" role="alert">
                    Die Passwörter stimmen nicht überein! Bitte widerholen Sie Ihre Eingaben.      
                  </div>';
  
                  } else {
  
                  }

                ?>

                <div class="input-group mb-3"><span class="input-group-text">
                    <svg class="icon">
                      <use xlink:href="../../vendors/@coreui/icons/svg/free.svg#cil-user"></use>

                    </svg></span>
                  <input class="form-control" name="username" type="text" required value="<?= $_POST['username'] ?>" placeholder="Nutzername">
                </div>
                <div class="input-group mb-3"><span class="input-group-text">
                    <svg class="icon">
                      <use xlink:href="../../vendors/@coreui/icons/svg/free.svg#cil-envelope-open"></use>
                    </svg></span>
                  <input class="form-control" name="email" required value="<?= $_POST['email'] ?>" type="text" placeholder="Deine E-Mail">
                </div>
                <div class="input-group mb-3"><span class="input-group-text">
                    <svg class="icon">
                      <use xlink:href="../../vendors/@coreui/icons/svg/free.svg#cil-lock-locked"></use>
                    </svg></span>
                  <input class="form-control" name="password" required type="password" placeholder="Wähle ein Passwort">
                </div>
                <div class="input-group mb-4"><span class="input-group-text">
                    <svg class="icon">
                      <use xlink:href="../../vendors/@coreui/icons/svg/free.svg#cil-lock-locked"></use>
                    </svg></span>
                  <input class="form-control" name="r_password" required type="password" placeholder="Wiederhole dein Passwort">
                </div>
                <button class="btn btn-block btn-success" type="submit">Jetzt Account erstellen</button>
              </div>
              </form>

              <?php else: ?>

                <form action="./?register=1" method="POST">
                <div class="input-group mb-3"><span class="input-group-text">
                    <svg class="icon">
                      <use xlink:href="../../vendors/@coreui/icons/svg/free.svg#cil-user"></use>

                    </svg></span>
                  <input class="form-control" name="username" type="text" required placeholder="Nutzername">
                </div>
                <div class="input-group mb-3"><span class="input-group-text">
                    <svg class="icon">
                      <use xlink:href="../../vendors/@coreui/icons/svg/free.svg#cil-envelope-open"></use>
                    </svg></span>
                  <input class="form-control" name="email" type="text" required placeholder="Deine E-Mail">
                </div>
                <div class="input-group mb-3"><span class="input-group-text">
                    <svg class="icon">
                      <use xlink:href="../../vendors/@coreui/icons/svg/free.svg#cil-lock-locked"></use>
                    </svg></span>
                  <input class="form-control" name="password" required type="password" placeholder="Wähle ein Passwort">
                </div>
                <div class="input-group mb-4"><span class="input-group-text">
                    <svg class="icon">
                      <use xlink:href="../../vendors/@coreui/icons/svg/free.svg#cil-lock-locked"></use>
                    </svg></span>
                  <input class="form-control" name="r_password" required type="password" placeholder="Wiederhole dein Passwort">
                </div>
                <button class="btn btn-block btn-success" type="submit">Jetzt Account erstellen</button>
              </div>
              </form>


              <?php endif ?>
            </div>

          </div>
        </div>

        <div class="d-flex justify-content-center">
        <footer class="footer">
        <div><a href="https://anuacp.de">AnuaCP </a><a href="https://www.rawnetworks.eu">Development by RAW Networks</a> 2022 AnuaCP - Software Solutions.</div>
        </footer></div>
      </div>
    </div>
    
    <!-- CoreUI and necessary plugins-->
    <script src="../../vendors/@coreui/coreui/js/coreui.bundle.min.js"></script>
    <script src="../../vendors/simplebar/js/simplebar.min.js"></script>
    <script>
    </script>

  </body>
</html>