<!DOCTYPE html>
<!--
* CoreUI - Free Bootstrap Admin Template
* @version v4.2.1
* @link https://coreui.io
* Copyright (c) 2022 creativeLabs Łukasz Holeczek
* Licensed under MIT (https://coreui.io/license)
-->
<!-- Breadcrumb-->
<html lang="de">
  <head>
    <base href="./">
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
    <meta name="description" content="CoreUI - Open Source Bootstrap Admin Template">
    <meta name="author" content="Łukasz Holeczek">
    <meta name="keyword" content="Bootstrap,Admin,Template,Open,Source,jQuery,CSS,HTML,RWD,Dashboard">
    <title>AnuaRadio - Server Nodes</title>
    <link rel="apple-touch-icon" sizes="57x57" href="../../assets/favicon/apple-icon-57x57.png">
    <link rel="apple-touch-icon" sizes="60x60" href="../../assets/favicon/apple-icon-60x60.png">
    <link rel="apple-touch-icon" sizes="72x72" href="../../assets/favicon/apple-icon-72x72.png">
    <link rel="apple-touch-icon" sizes="76x76" href="../../assets/favicon/apple-icon-76x76.png">
    <link rel="apple-touch-icon" sizes="114x114" href="../../assets/favicon/apple-icon-114x114.png">
    <link rel="apple-touch-icon" sizes="120x120" href="../../assets/favicon/apple-icon-120x120.png">
    <link rel="apple-touch-icon" sizes="144x144" href="../../assets/favicon/apple-icon-144x144.png">
    <link rel="apple-touch-icon" sizes="152x152" href="../../assets/favicon/apple-icon-152x152.png">
    <link rel="apple-touch-icon" sizes="180x180" href="../../assets/favicon/apple-icon-180x180.png">
    <link rel="icon" type="image/png" sizes="192x192" href="../../assets/favicon/android-icon-192x192.png">
    <link rel="icon" type="image/png" sizes="32x32" href="../../assets/favicon/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="96x96" href="../../assets/favicon/favicon-96x96.png">
    <link rel="icon" type="image/png" sizes="16x16" href="../../assets/favicon/favicon-16x16.png">
    <link rel="manifest" href="../../assets/favicon/manifest.json">
    <meta name="msapplication-TileColor" content="#ffffff">
    <meta name="msapplication-TileImage" content="../../assets/favicon/ms-icon-144x144.png">
    <meta name="theme-color" content="#ffffff">
    <!-- ../../vendors styles-->
    <link rel="stylesheet" href="../../vendors/simplebar/css/simplebar.css">
    <link rel="stylesheet" href="../../css/vendors/simplebar.css">
    <!-- Main styles for this application-->
    <link href="../../css/style.css" rel="stylesheet">
    <!-- We use those styles to show code examples, you should remove them in your application.-->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/themes/prism.css">
    <link href="../../css/examples.css" rel="stylesheet">
    <!-- Global site tag (gtag.js) - Google Analytics-->
    <script async="" src="https://www.googletagmanager.com/gtag/js?id=UA-118965717-3"></script>
    <script>
      window.dataLayer = window.dataLayer || [];

      function gtag() {
        dataLayer.push(arguments);
      }
      gtag('js', new Date());
      // Shared ID
      gtag('config', 'UA-118965717-3');
      // Bootstrap ID
      gtag('config', 'UA-118965717-5');
    </script>
    <link href="../../vendors/@coreui/chartjs/css/coreui-chartjs.css" rel="stylesheet">

    <?php
    error_reporting(0);
  	require_once('../../includes/db_sql.php');
    session_start();
    ?>


<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.9.1/font/bootstrap-icons.css" integrity="sha384-xeJqLiuOvjUBq3iGOjvSQSIlwrpqjSHXpduPd6rQpuiM3f5/ijby8pCsnbu5S81n" crossorigin="anonymous">

  </head>

  <?php

$username = $_SESSION['userid'];
$stoken = $_SESSION['session_token'];
$expired = $_SESSION['session_expire'];

if (empty($_SESSION['session_token'])) {

   header('location: ../login?expire=1');
   exit();

}


$time = 3600; // Set expire time with secends.
// Star session here 
if (isset($_SESSION['session_expire']) && (time() - $_SESSION['session_expire']) > $time) {
   // Your Code Here to logout
   header('location: ../login?expire=1');
   exit();
} else {
  $_SESSION['session_expire'] = time();


  $statement = $conn->prepare('SELECT * FROM users WHERE user=:username');
  $statement->execute(array(":username" => $_SESSION['userid']));
  $row = $statement->fetch(PDO::FETCH_ASSOC);

  if ($_SESSION['session_token'] === $row['session_token']) {



  } else {

    header('location: ../login?expire=1');
    exit();


  }


 }


 // server-add

 if (isset($_GET['serveradd'])):

  $statement = 
  $conn->prepare('INSERT INTO server (id, server, remote_addr, last_synch, api_token, status)
                VALUES (?, ?, ?, ?, ?, ?)');
  $gen_id = rand(100, 99999);


  function generateRandomString($length = 25) {
    $characters = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
    $charactersLength = strlen($characters);
    $randomString = '';
    for ($i = 0; $i < $length; $i++) {
        $randomString .= $characters[rand(0, $charactersLength - 1)];
    }
    return $randomString;
}

  if ($_POST['status'] === "1"){

  $statement->execute([$gen_id, $_POST['server'], $_POST['ip'], 'NULL', generateRandomString(),'aktiv']);
  } elseif ($_POST['status'] === "2") {

    $statement->execute([$gen_id, $_POST['server'], $_POST['ip'], 'NULL', generateRandomString(),'deaktiviert']);
  
  } else {

  }

  header('refresh: 1; url=../server-admin?success=1');

 endif;


  ?>

  <body>
    

  <?php require_once('../../includes/menu.php'); ?>



    <div class="wrapper d-flex flex-column min-vh-100 bg-light">
      <header class="header header-sticky mb-4">
        <div class="container-fluid">
          <button class="header-toggler px-md-0 me-md-3" type="button" onclick="coreui.Sidebar.getInstance(document.querySelector('#sidebar')).toggle()">
            <svg class="icon icon-lg">
              <use xlink:href="../../vendors/@coreui/icons/svg/free.svg#cil-menu"></use>
            </svg>
          </button><a class="header-brand d-md-none" href="#">
            <svg width="118" height="46" alt="CoreUI Logo">
              <use xlink:href="../../assets/brand/coreui.svg#full"></use>
            </svg></a>
          
        
          <ul class="header-nav ms-3">
            <li class="nav-item dropdown"><a class="nav-link py-0" data-coreui-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">
                <div class="avatar avatar-md"><img class="avatar-img" src="../../assets/img/avatars/8.jpg" alt="user@email.com"></div>
              </a>
              <div class="dropdown-menu dropdown-menu-end pt-0">
                <div class="dropdown-header bg-light py-2">
                  <div class="fw-semibold">Account</div>
                </div><a class="dropdown-item" href="#">
                  <svg class="icon me-2">
                    <use xlink:href="../../vendors/@coreui/icons/svg/free.svg#cil-bell"></use>
                  </svg> Updates<span class="badge badge-sm bg-info ms-2">42</span></a><a class="dropdown-item" href="#">
                  <svg class="icon me-2">
                    <use xlink:href="../../vendors/@coreui/icons/svg/free.svg#cil-envelope-open"></use>
                  </svg> Messages<span class="badge badge-sm bg-success ms-2">42</span></a><a class="dropdown-item" href="#">
                  <svg class="icon me-2">
                    <use xlink:href="../../vendors/@coreui/icons/svg/free.svg#cil-task"></use>
                  </svg> Tasks<span class="badge badge-sm bg-danger ms-2">42</span></a><a class="dropdown-item" href="#">
                  <svg class="icon me-2">
                    <use xlink:href="../../vendors/@coreui/icons/svg/free.svg#cil-comment-square"></use>
                  </svg> Comments<span class="badge badge-sm bg-warning ms-2">42</span></a>
                <div class="dropdown-header bg-light py-2">
                  <div class="fw-semibold">Settings</div>
                </div><a class="dropdown-item" href="#">
                  <svg class="icon me-2">
                    <use xlink:href="../../vendors/@coreui/icons/svg/free.svg#cil-user"></use>
                  </svg> Profile</a><a class="dropdown-item" href="#">
                  <svg class="icon me-2">
                    <use xlink:href="../../vendors/@coreui/icons/svg/free.svg#cil-settings"></use>
                  </svg> Settings</a><a class="dropdown-item" href="#">
                  <svg class="icon me-2">
                    <use xlink:href="../../vendors/@coreui/icons/svg/free.svg#cil-credit-card"></use>
                  </svg> Payments<span class="badge badge-sm bg-secondary ms-2">42</span></a><a class="dropdown-item" href="#">
                  <svg class="icon me-2">
                    <use xlink:href="../../vendors/@coreui/icons/svg/free.svg#cil-file"></use>
                  </svg> Projects<span class="badge badge-sm bg-primary ms-2">42</span></a>
                <div class="dropdown-divider"></div><a class="dropdown-item" href="#">
                  <svg class="icon me-2">
                    <use xlink:href="../../vendors/@coreui/icons/svg/free.svg#cil-lock-locked"></use>
                  </svg> Lock Account</a><a class="dropdown-item" href="#">
                  <svg class="icon me-2">
                    <use xlink:href="../../vendors/@coreui/icons/svg/free.svg#cil-account-logout"></use>
                  </svg> Logout</a>
              </div>
            </li>
          </ul>
        </div>
        <div class="header-divider"></div>
        <div class="container-fluid">
          <nav aria-label="breadcrumb">
            <ol class="breadcrumb my-0 ms-2">
              <li class="breadcrumb-item">
                <!-- if breadcrumb is single--><span>Home</span>
              </li>
              <li class="breadcrumb-item active"><span>Server Nodes</span></li>
            </ol>
          </nav>
        </div>
      </header>
    

<?php

if (isset($_GET['success'])) {

  echo '
                <div class="alert alert-success" role="alert">
                    Der Server wurde angelegt!
                </div>';

}

?>

      <div class="tab-content rounded-bottom">
                  <div class="tab-pane p-3 active preview" role="tabpanel" id="preview-942">
                    <table class="table">
                      <thead class="table-dark">
                        <tr>
                          <th scope="col">Server</th>
                          <th scope="col">IP-Adresse</th>
                          <th scope="col">Letzter Synch</th>
                          <th scope="col">API Token</th>
                          <th scope="col">Status</th>
                          <th scope="col">Bearbeitung</th>
                        </tr>
                      </thead>
                      <tbody>

                      <?php 
                      
                      $statement = $conn->prepare('SELECT * FROM `server`');
                      $statement->execute();
                      
                      while($row = $statement->fetch(PDO::FETCH_ASSOC)):
                      
                      ?>

                        <div class="modal fade" id="server-<?= $row['id'] ?>" data-coreui-backdrop="static" data-coreui-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLiveLabel" style="display: none;" aria-hidden="true">
                          <div class="modal-dialog">
                            <div class="modal-content">
                              <div class="modal-header">
                                <h5 class="modal-title" id="staticBackdropLiveLabel">Server: <?= $row['server'] ?></h5>
                                <button class="btn-close" type="button" data-coreui-dismiss="modal" aria-label="Close"></button>
                              </div>
                              <div class="modal-body">
                              <div class="input-group mb-3">
                              <span class="input-group-text" id="ip">IP-Adresse</span>
                              <input class="form-control" type="text" aria-label="Sizing example input" value="<?= $row['remote_addr'] ?>" aria-describedby="ip">
                              </div>
                              <div class="form-check">
                                <input class="form-check-input" id="defaultCheck1" type="checkbox">
                                <label class="form-check-label" for="defaultCheck1">Server löschen?</label>
                              </div>
                              </div>
                              <div class="modal-footer">
                                <button class="btn btn-secondary" type="button" data-coreui-dismiss="modal">Close</button>
                                <button class="btn btn-primary" type="button">Speichern</button>
                              </div>
                            </div>
                          </div>
                        </div>

                        <tr>
                          <td><?= $row['server'] ?></td>
                          <td><?= $row['remote_addr'] ?></td>
                          <td><?= $row['last_synch'] ?></td>
                          <td><?= $row['api_token'] ?></td>
                          <?php
                          if ($row['status'] === "aktiv"):
                          ?>
                          <td style="color: green">AKTIV</td>
                          <?php else: ?>
                          <td style="color: red">DEAKTIVIERT</td>
                          <?php endif; ?>
                          <td><button class="btn btn-primary" type="button" type="button" data-coreui-toggle="modal" data-coreui-target="#server-<?= $row['id'] ?>">Server bearbeiten</button></td>
                        </tr>

                        <?php endwhile; ?>
                      
                      </tbody>
                    </table>
                  </div>
                </div>
                <div class="d-flex justify-content-center">
                <div class="card rounded-bottom col-4">
                  <div class="container">
                    <h3 class="text-center text-dark">Server eintragen</h3>
                <form class="row g-3" action="./?serveradd=1" method="POST">
                          <div class="col-md-4">
                            <label class="form-label" for="validationServer02">Server</label>
                            <input class="form-control" type="text" name="server" placeholder="MyServer #1" required="">
                          </div>

                          <div class="col-md-4">
                            <label class="form-label" for="validationServer02">IP-Adresse</label>
                            <input class="form-control" type="text" name="ip" placeholder="1.1.1.1" required="">
                          </div>

                      <div class="col-md-4">
                      <label class="form-label" for="validationServer02">Status</label>
                        <select class="form-select form-select-sm" name="status" aria-label=".form-select-sm example">
                      
                          <option value="1">Aktiv</option>
                          <option value="2">Deaktiviert</option>
                        </select>

                      </div>


                          <div class="d-flex justify-content-center col-12">
                            <button class="btn btn-primary" type="submit">Jetzt anlegen</button>
                          </div>
                          
              </form>
</div>
</div>
</div>
      <div class="d-flex justify-content-center">
        <footer class="footer">
        <div><a href="https://anuacp.de">AnuaCP </a><a href="https://www.rawnetworks.eu">Development by RAW Networks</a> 2022 AnuaCP - Software Solutions.</div>
        </footer></div>
    </div>
    <!-- CoreUI and necessary plugins-->
    <script src="../../vendors/@coreui/coreui/js/coreui.bundle.min.js"></script>
    <script src="../../vendors/simplebar/js/simplebar.min.js"></script>
    <!-- Plugins and scripts required by this view-->
    <script src="../../vendors/chart.js/js/chart.min.js"></script>
    <script src="../../vendors/@coreui/chartjs/js/coreui-chartjs.js"></script>
    <script src="../../vendors/@coreui/utils/js/coreui-utils.js"></script>
    <script src="../../js/main.js"></script>
    <script>
    </script>

  </body>
</html>